# Copyright (c) 2009 openSUSE-Build-Service
#
# Packaged by: <mail@sebastiangibb.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Name:           tempo
Summary:        EEG visualization software
Version:        1.2.3
Release:        1%{?dist}
License:        GNU General Public License Version 2 (GPLv2)
Group:          Productivity/Office/Other
URL:            http://code.google.com/p/tempo/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:		      %{name}.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils

%description
TEMPO is open source software for 3D visualization of brain electrical activity.
TEMPO accepts EEG file in standard EDF format and creates animated sequence of
topographic maps. Topographic maps are generated over 3D head model and user is
able to navigate around head and examine maps from different viewpoints. Most
mapping parameters are adjustable through appropriate graphical user interface
controls. Also, individual topographic maps could be saved in PNG format for
future examination or publishing. 

Authors:
--------
    Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>

%prep
%setup -q
%patch0 -p1

%build
qmake-qt4 CONFIG-=debug CONFIG+=release
%{__make}

%install
%{__install} -D -s -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}
%{__install} -m 0755 -d %{buildroot}/%{_datadir}/%{name}/
%{__cp} data/{10_10.ms,face.mo,scalp.mo,sample.edf} %{buildroot}/%{_datadir}/%{name}
%{__cp} -R manual %{buildroot}/%{_datadir}/%{name}

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS README THANKS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/

%changelog
* Mon Mar  7 2011 saigkill@opensuse.org
- fixed using of *.desktop File
* Wed Oct 27 2010 mail@sebastiangibb.de  
- replace .desktop category by Education;Science;MedicalSoftware;
* Thu Nov  5 2009 mail@sebastiangibb.de  
- add patch to fix path of data dir
* Tue Nov  3 2009 mail@sebastiangibb.de
- add patch to fix path of documentation
* Mon Nov  2 2009 chris@computersalat.de  
- added suse_update_desktop_files
* Mon Nov  2 2009 chris@computersalat.de  
- migrate patch to extra source
  - {name}.desktop
* Sun Nov  1 2009 chris@computersalat.de
- spec mods
  o moved changelog from spec to here :)
  o removed useless defines (name,version,release)
  o sorted TAGS
  o added doc
  o removed useless datadir
  o installed binary to _bindir
  o removed update_desktop_files
    there is no .desktop file installed
* Sun Nov  1 2009 mail@sebastiangibb.de
- Initial Version for openSUSE
